#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - e2fsprogs-scrub installation
#
# Creation   :  2023-05-21 holbru
# Last update:  $Id: install.sh 102992 2023-05-22 06:38:29Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=e2fsprogs-scrub

# ---------------------------------------------------------------------------
# add menu
# ---------------------------------------------------------------------------
/var/install/bin/add-menu            \
        setup.system.filesystems.menu       \
        setup.system.filesystems.${package_name}.menu \
        "Ext2FS - scrubbing handling"

# ---------------------------------------------------------------------------
# Create default config
# ---------------------------------------------------------------------------
if [ -f "/etc/config.d/${package_name}" ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh
/usr/bin/rm -f /var/install/config.d/${package_name}-update.sh

# ---------------------------------------------------------------------------
# start package with update
# ---------------------------------------------------------------------------
if ${update:-false}
then
    /var/install/config.d/${package_name}.sh
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
